curl --request GET \
--url https://api.partoo.co/v2/org/search \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/org/search"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/org/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"max_page": 10,
"count": 287,
"orgs": [
{
"org_id": 42,
"name": "Fast Retailer",
"alias": "fast_retailer",
"provider": "partoo",
"type": "small_medium_business",
"features": [
"business_edition",
"diffusion",
"review_management",
"review_invite",
"messages"
],
"org_features": [
"business_edition",
"diffusion",
"review_management",
"review_invite",
"messages",
"review_ai_suggestion"
],
"last_org_api_call": "05-11-2021",
"max_businesses": 100
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Search for organizations
This endpoint lets you search for organizations using filters. The response is paginated (30 results per page).
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Filter by organization ID. Only PROVIDER users can use this filter. If you are not a PROVIDER, this will default to the ID of your organization.
Parameter to fuzzy search organizations on name or id
Parameter to search an organization by its alias
Page number.
Starts at 1. Any value lower than 1 will be considered as 1.
For the number of items per page, see the per_page query parameter.
Number of items to return per page. Currently limited to 100.
1 <= x <= 100Was this page helpful?